@echo off

cd ..

rem SET JAVA_HOME="C:\Program Files\java1.6.0\"

if exist "%JAVA_HOME%\bin\javaw.exe" goto javafound

echo No JVM found.
echo If you have one installed, please set 'JAVA_HOME'. ( see http://www.mercury.to/index.php?page=Wiki&wikipage=SetJavaHomeWindows )
echo If you don't have one installed, you can find an installer on www.javasoft.com
pause
goto end

:javafound

set classpath=lib/dMSN.jar;lib/xpp3.jar
set classpath=%classpath%;lib/substance3.0-lite.jar;lib/substance3.3-lite.jar
set classpath=%classpath%;lib/skinlf.jar;lib/liquidlnf.jar;lib/nativeskin.jar
set classpath=%classpath%;lib/wintray.jar;lib/winflash.jar
set classpath=%classpath%;lib/upnp.jar;lib/idle.jar
set classpath=%classpath%;lib/SpellCheck.jar

set JNIPATH=jni;jni\jmf

"%JAVA_HOME%\bin\javaw" -Djava.library.path=%JNIPATH% com.dMSN.Main

:end
